Bug 251391 - Segfault when saving account settings
Segfault when saving account settings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 14:30 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 10:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 465058 None None None Never

  None (edit)
Description Luke Macken 2007-08-08 14:30:50 EDT
Description of problem:
I'm getting the following traceback when clicking "Ok" after viewing my account
settings.

#0  0x008c20f8 in strcmp () from /lib/libc.so.6
#1  0x007cb6de in folder_info_cmp (ap=0x936f020, bp=0x936f024)
    at camel-store.c:886
#2  0x0087f368 in msort_with_tmp (b=<value optimized out>, n=3, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:56
#3  0x0087f2d3 in msort_with_tmp (b=0x936f018, n=5, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#4  0x0087f2d3 in msort_with_tmp (b=0x936f008, n=9, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#5  0x0087f2b8 in msort_with_tmp (b=0x936f008, n=19, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:47
#6  0x0087f2d3 in msort_with_tmp (b=0x936efc0, n=37, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#7  0x0087f2b8 in msort_with_tmp (b=0x936efc0, n=75, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:47
#8  0x0087f2d3 in msort_with_tmp (b=0x936ee98, n=149, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#9  0x0087f2b8 in msort_with_tmp (b=0x936ee98, n=299, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:47
#10 0x0087f2b8 in msort_with_tmp (b=0x936ee98, n=599, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:47
#11 0x0087f2d3 in msort_with_tmp (b=0x936e53c, n=1198, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#12 0x0087f2d3 in msort_with_tmp (b=0x936d288, n=2395, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#13 0x0087f2d3 in msort_with_tmp (b=0x936ad20, n=4789, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>, 
    t=0x93d8740 " \031�\b��\022\b\230\t�\b\030��\bX��\bH��\b") at msort.c:48
#14 0x0087f4a5 in *__GI_qsort (b=0x936ad20, n=4789, s=4, 
    cmp=0x7cb6b0 <folder_info_cmp>) at msort.c:154
#15 0x007cb3c7 in camel_folder_info_build (folders=0xb5c06f80, 
    namespace=0x1081ad3 "", separator=47 '/', short_names=1)
    at camel-store.c:923
#16 0x0107860a in get_folder_info_offline (store=0x81860cc, top=0x1081ad3 "", 
    flags=7, ex=0x926a114) at camel-imap-store.c:2862
#17 0x0107d0b5 in get_folder_info_online (store=0x81860cc, top=0x1081ad3 "", 
    flags=<value optimized out>, ex=0x926a114) at camel-imap-store.c:2768
#18 0x007a4ada in disco_get_folder_info (store=0x81860cc, top=0x0, flags=7, 
    ex=0x926a114) at camel-disco-store.c:256
#19 0x007cc9f6 in camel_store_get_folder_info (store=0x81860cc, top=0x0, 
    flags=7, ex=0x926a114) at camel-store.c:790
#20 0x0232decd in emft_get_folder_info__exec (m=0x926a100)
    at em-folder-tree.c:1715
#21 0x02366659 in mail_msg_proxy (msg=0x926a100) at mail-mt.c:500
#22 0x00b81308 in g_thread_pool_thread_proxy (data=0x8155568)
    at gthreadpool.c:265
#23 0x00b7f77f in g_thread_create_proxy (data=0x89d38b8) at gthread.c:634
#24 0x009f74ab in start_thread (arg=0xb1cfdb90) at pthread_create.c:296
#25 0x00924fde in clone () from /lib/libc.so.6

Version-Release number of selected component (if applicable):
evolution-2.11.6.1-1.fc8
Comment 1 Matthew Barnes 2007-08-09 10:59:24 EDT
Thanks for the bug report.  I think I can at least patch the immediate cause of
the crash.  I'm going to move this to the upstream bug tracker where I'll
continue to track the issue.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=465058

Note You need to log in before you can comment on or make changes to this bug.